CVC4::Command::ExportTransformer Class Reference

`#include <command.h>`

## Public Member Functions

| ExportTransformer (ExprManager *exprManager, ExprManagerMapCollection &variableMap)
Expr | operator() (Expr e)
Type | operator() (Type t)

## Detailed Description

Definition at line 261 of file command.h.

## Constructor & Destructor Documentation

## ExportTransformer()

CVC4::Command::ExportTransformer::ExportTransformer | ( | ExprManager * | exprManager,
|  | ExprManagerMapCollection & | variableMap )

inline

Definition at line 265 of file command.h.

## Member Function Documentation

## operator()() [1/2]

Expr CVC4::Command::ExportTransformer::operator() | ( | Expr | e | ) |

inline

Definition at line 269 of file command.h.

References CVC4::Expr::exportTo().

## operator()() [2/2]

Type CVC4::Command::ExportTransformer::operator() | ( | Type | t | ) |

inline

Definition at line 272 of file command.h.

References CVC4::Type::exportTo().

The documentation for this class was generated from the following file:

- src/expr/command.h